
QGIS Application - Bug report #5511

VRT files not opening on Master.

2012-04-27 01:43 PM - Thaddeus -

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 15115

Description

I installed the QGIS Master today; on a quick tour I noticed that my old VRT files that were working on previous QGIS's are not opening

anymore. Error message is: not a valid or recognized data source.

History

#1 - 2012-04-27 01:46 PM - Thaddeus -

- File World.vrt added

#2 - 2012-04-27 01:46 PM - Thaddeus -

- File Volcanoes_of_the_World__summary.csv added

#3 - 2012-04-27 01:47 PM - Salvatore Larosa

Windows / Linux ?

GDAL/OGR version ?

#4 - 2012-04-27 02:11 PM - Salvatore Larosa

CSV file name in SrcDataSource must be identical to the file itself.

Note that in the VRT file it is missing underscore symbols!

Confirmed?

#5 - 2012-04-27 02:29 PM - Thaddeus -

Tested on Linux:

QGIS version               1.9.90-Alpha  QGIS code revision         exported

Compiled against Qt        4.7.0         Running against Qt         4.7.0

Compiled against GDAL/OGR  1.6.3         Running against GDAL/OGR   1.6.3

GEOS Version               3.2.0         PostgreSQL Client Version  8.4.4

SpatiaLite Version         2.4.0         QWT Version                5.2.0
#6 - 2012-04-27 02:42 PM - Thaddeus -

- File VRTtest01.png added

OK, just tried same file under Win and 1.7.4 and it's working  here !

#7 - 2012-04-27 02:45 PM - Salvatore Larosa

Repeat:

in VRT file changes from:

<SrcDataSource relativeToVRT="1">Volcanoes of the World__summary.csv</SrcDataSource>

to

<SrcDataSource relativeToVRT="1">Volcanoes_of_the_World__summary.csv</SrcDataSource>

or rename your CSV file!

Try and let me know!

#8 - 2012-04-27 07:24 PM - Thaddeus -

I'll try that underscore trick on Monday, but today I re-tested the same file on a 32-bit Ubuntu and worked OK?, the QGIS is slightly different though.

QGIS version              1.9.90-Alpha QGIS code revision        exported

Compiled against Qt       4.7.4        Running against Qt        4.7.4

Compiled against GDAL/OGR 1.7.3        Running against GDAL/OGR  1.7.3

GEOS Version              3.2.2        PostgreSQL Client Version 9.1.1

SpatiaLite Version        2.4.0        QWT Version               5.2.2

#9 - 2012-04-28 12:55 PM - Paolo Cavallini

- Resolution set to invalid

- Status changed from Open to Closed

Files

World.vrt 607 Bytes 2012-04-27 Thaddeus -

Volcanoes_of_the_World__summary.csv 104 KB 2012-04-27 Thaddeus -

VRTtest01.png 97.2 KB 2012-04-27 Thaddeus -
